/* riallineamento di SP_test versus TK */

-- INDICI!!!!

set xact_abort on;
go

begin transaction;
go

drop index i_dataRap on RilPro.RapQual;
go

create index i_dataRap on RilPro.RapQual(DataRapQual)
  include(BenesQual,CodFor,CodLega,nRapQual,Qta,UDC);
go

commit;
go


set xact_abort on;
go

begin transaction;
go

drop index i_IdxPosizione on ElencoCartellini;
go

create index i_IdxPosizione on ElencoCartellini(IdxPosizione,CodCS)
  include(Particolare);
go

create index i_CodStato_IdxPosizione on ElencoCartellini(CodStato,IdxPosizione);
go

commit;
go


-- DA VERIFICARE: c'è differenza, ma verificqre se sia giusta conf attuale (toExt=0) o la modifica di eguito commentata (toExt=1), credo sia giusta versione attuale (=0)
/*
set xact_abort on
go

begin transaction
go

UPDATE dbo.TabSyncMovMag SET 
  toExt=1
  WHERE CodCS=N'SP' and CodStatoFrom=N'FinGBox' and CodStatoTo=N'FinGBox' and IdxPosizioneFrom=4 and IdxPosizioneTo=4
go

commit transaction
go
*/






-- registro versione...
INSERT INTO [dbo].[LogUpdateDb] ([Versione],[Data]) VALUES(463, GETDATE())
GO
